Bug Hunting Session
Bug 77123 - Arabic: find/search should had option ignore kashida (Tatweel)
Summary: Arabic: find/search should had option ignore kashida (Tatweel)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Faisal Menawer
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-07 08:40 UTC by Faisal Menawer
Modified: 2015-02-25 22:23 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Faisal Menawer 2014-04-07 08:40:23 UTC
the problem:
If a file contains any Arabic word with kashida e.g (الرحمـــن) and then I searched for the same word without the kashida (الرحمن). It will return nothing.
For more info about kashida:
http://en.wikipedia.org/wiki/Kashida

Current behavior:
The search result will be empty.

Expected behavior:
Had the option to ignore kashida in the search.
Comment 1 Commit Notification 2014-04-08 07:59:44 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2771b63b94a8aae3c25c83e9dae9f83242f46c1

fdo#77123: Add option ignore kashida to the search



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-04-16 09:06:15 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=251fd06de2c7bd2e46fd257d848acbebb93e1fab

fdo#77123: Add Ignore Kashida to quick find



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.